Page MenuHomeFreeBSD

Fix various ntpd vulnerabilities.
ClosedPublic

Authored by delphij on Dec 20 2014, 12:50 AM.

Details

Summary

Fix various ntpd vulnerabilities.

Diff Detail

Repository
rS FreeBSD src repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

delphij updated this revision to Diff 2795.Dec 20 2014, 12:50 AM
delphij retitled this revision from to Fix various ntpd vulnerabilities..
delphij updated this object.
delphij edited the test plan for this revision. (Show Details)
delphij added a reviewer: roberto.
roberto accepted this revision.Dec 20 2014, 9:44 AM
roberto edited edge metadata.

This is all security-relevant diffs from upstream then? Go for commit.

This revision is now accepted and ready to land.Dec 20 2014, 9:44 AM
delphij updated this revision to Diff 2802.Dec 21 2014, 8:27 AM
delphij edited edge metadata.

Fix a missed codepath.

This revision now requires review to proceed.Dec 21 2014, 8:27 AM
delphij updated this revision to Diff 2803.Dec 21 2014, 8:30 AM
delphij edited edge metadata.

Oops, updated the changeset at wrong time (updating tree).

philip added a subscriber: philip.Dec 21 2014, 1:36 PM

This looks complete and correct to me.

philip added inline comments.Dec 21 2014, 1:41 PM
contrib/ntp/ntpd/ntp_crypto.c
867

Since nothing else in this file appears to be declared in a block other than a function, maybe *cookiebuf should be declared with the other variables at the beginning of the function. But if this is upstream, there's no point in diverging gratuitously.

contrib/ntp/util/ntp-keygen.c
678

Maybe this should be a #define?

delphij closed this revision.Dec 22 2014, 6:55 PM
delphij updated this revision to Diff 2820.

Closed by commit rS276071 (authored by @delphij).